%%%---------------------------------------------------------------------
%%% @doc 功能id定义（与协议号段Id保持一致, 且与后台功能id配置一致）
%%%---------------------------------------------------------------------

-define(MOD_NONE,                 0).           %% 无
-define(MOD_CZONE,              103).           %% 跨服分区
-define(MOD_THOUSE,             104).           %% 珍宝阁

-define(MOD_CHAT,               110).           %% 聊天系统

-define(MOD_DRESS_UP,           112).           %% 装扮
-define(MOD_OFFLINE_HOSTING,    113).           %% 离线托管
-define(MOD_NEWER,              114).           %% 新手任务

-define(MOD_SCENE,              120).           %% 场景模块

-define(MOD_PLAYER,             130).           %% 玩家模块

-define(MOD_ONHOOK,             132).           %% 挂机系统

-define(MOD_DRUMWAR,            137).           %% 钻石大战

-define(MOD_JOURNEY,            138).           %% 征途活动
-define(MOD_NUCLEON,            139).           %% 灵能
-define(MOD_RELA,               140).           %% 社交系统模块
-define(MOD_UNITE_BUFF,         141).           %% 材料提交/联合BUFF
-define(MOD_GLAMOUR,            142).           %% 跑马
-define(MOD_WARSOUL,            143).           %% 战魂系统
-define(MOD_URANIUM,            144).           %% 魂力(铀能)系统
-define(MOD_EQUIP_CHECK,        145).           %% 装备考核
-define(MOD_FOSTER,             146).           %% 进阶系统
-define(MOD_VISUS,              147).           %% 幻光系统
-define(MOD_GALAXY,             148).           %% 星辰系统
-define(MOD_MATE,               149).           %% 羁绊系统
-define(MOD_GOODS,              150).           %% 物品背包
-define(MOD_COMPOSE,            151).           %% 合成
-define(MOD_EQUIP,              152).           %% 装备系统
-define(MOD_SHOP,               153).           %% 商城系统
-define(MOD_EQUIP_EXTRA,        154).           %% 装备工坊-装备占位
-define(MOD_MARKET,             155).           %% 交易市场

-define(MOD_ACTIVITY,           157).           %% 活动日历
-define(MOD_RECHARGE,           158).           %% 充值
-define(MOD_RECHARGE_ACT,       159).           %% 充值活动
-define(MOD_WELFARE,            160).           %% 福利大厅

-define(MOD_PET,                163).           %% 宠物
-define(MOD_TRANSFORM,          164).           %% 转职
-define(MOD_CHILD,              165).           %% 孩子系统
-define(MOD_DEGREE,             166).           %% 境界学位

-define(MOD_CAPSULE_EGG,        170).           %% 扭蛋系统

-define(MOD_GOD,                173).           %% 唤神

-define(MOD_LOGIN_REWARD,       175).           %% 七天登录

-define(MOD_FISHING,            177).           %% 钓鱼
-define(MOD_EQUIP_DEVOUR,       178).           %% 装备吞噬

-define(MOD_MODULE_ADVANCE,     182).           %% 功能预告

-define(MOD_MAIL,               190).           %% 邮件系统模块

-define(MOD_BATTLE,             200).           %% 战斗

-define(MOD_SKILL,              210).           %% 技能

-define(MOD_DUN_MULTI,          215).           %% 多人副本

-define(MOD_RANK,               221).           %% 排行榜

-define(MOD_FLOWER,             223).           %% 花语鲜花
-define(MOD_FLOWER_RANK_ACT,    224).           %% 鲜花榜活动
-define(MOD_RUSH_RANK,          225).           %% 开服冲榜活动
-define(MOD_KF_RANK,            226).           %% 跨服排行榜

-define(MOD_TEAM,               240).           %% 组队

-define(MOD_ARENA,              280).           %% 竞技场

-define(MOD_TOPPK,              281).           %% 巅峰竞技

-define(MOD_TASK,               300).           %% 任务系统

-define(MOD_AC_CUSTOM,          331).           %% 定制活动
-define(MOD_AC_CUSTOM_EXTRA,    332).           %% 定制活动额外协议段
-define(MOD_RACE_RANK,          333).           %% 竞榜活动
-define(MOD_SAKURA_GIFT,        334).           %% 源樱之礼(阶段抽奖活动)

-define(MOD_RED_ENVELOPES,      339).           %% 红包知乎
-define(MOD_CURRENCYWISH,       340).           %% 货币祈愿

-define(MOD_GUILD,              400).           %% 社团系统

-define(MOD_GUILD_ACT,          402).           %% 公会活动

-define(MOD_GUILD_LABOR,        404).           %% 社团劳务
-define(MOD_GUILD_WAR,          405).           %% 本服公会战
-define(MOD_GUILD_BOSS,         406).           %% 社团BOSS
-define(MOD_GUILD_RACE_RANK,    407).           %% 社团竞速
-define(MOD_GUILD_COLLECT,      408).           %% 社团午间采集
-define(MOD_ACHIEVEMENT,        409).           %% 成就
-define(MOD_CAMP_WAR,           410).           %% 跨服团战-阵营内公会战
-define(MOD_DESIGNATION,        411).           %% 称号系统
-define(MOD_PARTNER,            412).           %% 伙伴
-define(MOD_FASHION,            413).           %% 时装
-define(MOD_MARBLE,             414).           %% 附能寻宝
-define(MOD_MADNESS_LAND,       415).           %% 狂战领域
-define(MOD_BC,                 416).           %% 靓丽大赛
-define(MOD_GUILD_RUN_ASSIST,   417).           %% 社团跑环协助

-define(MOD_BEACH,              418).           %% 魅力沙滩
-define(MOD_RESOURCE_BACK,      419).           %% 资源找回
-define(MOD_INVESTMENT,         420).           %% 投资活动
-define(MOD_WORKROOM,           421).           %% 时装工坊
-define(MOD_WARDROBE,           422).           %% 衣橱(个人风采)

-define(MOD_TREASURE_MAP,       424).           %% 藏宝图

-define(MOD_LIVE_SKILL,         435).           %% 生活技能系统

-define(MOD_VIP,                450).           %% VIP
-define(MOD_SUP_VIP,            451).           %% 贵族(钻石VIP)
-define(MOD_ELITE_ASSESS,       452).           %% 精英考核

-define(MOD_ANNIHILATE,         458).           %% 古神灭世
-define(MOD_JUMP_ACT,			459).           %% 跳一跳
-define(MOD_LOCAL_BOSS,			460).           %% 本服BOSS
-define(MOD_DESERTED_BOSS,		461).			%% 废都幻魔
-define(MOD_HOME_BOSS,          462).           %% 幻魔之家
-define(MOD_EXP_SEA,            463).           %% 经验海

-define(MOD_CONVOY,             500).           %% 护送
-define(MOD_LIMIT_GOAL,         501).           %% 限时目标

-define(MOD_VOID_FAM,           600).           %% 无尽领域
-define(MOD_CGWAR,              601).           %% 跨服国战
-define(MOD_WASTELAND_WAR,      602).           %% 废土战场(饥饿游戏)
-define(MOD_CROSS_LEGION,       603).           %% 跨服战团
-define(MOD_CROSS_POINT_FIGHT,  604).           %% 跨服沙盘

-define(MOD_DUNGEON,            610).           %% 副本

-define(MOD_KF_1VN,             621).           %% 跨服1vN

-define(MOD_CONSUME,            631).           %% 消费占用一个功能id，勿删

-define(MOD_KF_3V3,             650).           %% 跨服3v3

-define(MOD_AUCTION,            0).           %% 拍卖系统
%%%---------------------------------------------------------------------
%%% @doc 功能子id定义（与后台功能id配置一致）
%%%---------------------------------------------------------------------

%% ----------------------------------------------------
%% @doc 聊天系统 MOD_CHAT: 110专用的子类型宏定义
-define(MOD_CHAT_STOP_SIMULATION, 1).           %% 聊天AI终止

%% ----------------------------------------------------
%% @doc 场景模块MOD_SCENE: 120专用的子类型宏定义
-define(MOD_SCENE_LINE,            1).  %% 子类型 - 场景线路

%% ----------------------------------------------------
%% @doc 社交系统MOD_RELA: 140专用的子类型宏定义
%% ----------------------------------------------------

-define(MOD_RELA_INTIMACY_PRESENT, 1).  %% 子类型 - 好友赠送物品

%% ----------------------------------------------------
%% @doc 活动日历MOD_GOODS: 150专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_GOODS_DROP,           1).   %% 子类型 - 单个物品掉落次数
-define(MOD_GOODS_GIFT,           2).   %% 子类型 - 单个礼包的每日使用上限

-define(MOD_GOODS_DROP_COUNT_NONE,     4).   %% 子类型 - 掉落统计
-define(MOD_GOODS_HOME_DROP_COUNT,     5).   %% 子类型 - 特殊场景(幻魔之家)特殊道具(橙装碎片/紫装)掉落次数
%% 子类包括 橙装碎片 44，紫装 3
%% ----------------------------------------------------
%% @doc 装备系统 MOD_EQUIP : 152专用的子类型宏定义
%% ----------------------------------------------------

%% ----------------------------------------------------
%% @doc 活动日历MOD_ACTIVITY: 157专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_ACTIVITY_NUM, 1).           %% 子类型 - 活动完成次数
-define(MOD_ACTIVITY_LIVE_REWARD, 2).   %% 子类型 - 活跃度奖励

%% ----------------------------------------------------
%% @doc 排行榜MOD_RANK: 221专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_SUB_RANK_PRAISE, 1).        %% 子类型 - 每日点赞

%% ----------------------------------------------------
%% @doc 充值活动 MOD_RECHARGE_ACT : 159专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_RECHARGE_ACT_WEAFARE,   1).                     %% 福利卡
-define(MOD_RECHARGE_ACT_CUMULATION,    2).                 %% 每日累充
-define(MOD_RECHARGE_ACT_BUY_DAILY,   6).                   %% 购买每日礼包
-define(MOD_RECHARGE_ACT_GET_WEAFARE_REWARD,   7).          %% 领取7日或30日礼包

%% ---------------------------------------------------
%% @doc 多人副本 MOD_DUN_MULTI :215 专用子类型宏定义
-define(MOD_DUN_MULTI_DUMMY_MIRROR_REWARD, 1).              %% 镜像协助奖励次数
-define(MOD_DUN_MULTI_ASSIST_REWARD,       2).              %% 守卫信标支援次数
-define(MOD_DUN_MULTI_ASSIST_RECOVER,      3).              %% 守卫信标支援恢复

%% ----------------------------------------------------
%% @doc 任务 MOD_TASK : 300专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_TASK_DAILY_TASK,      1). %% 悬赏任务
-define(MOD_TASK_GUILD_WEEK_TASK, 2). %% 公会周任务

%% ----------------------------------------------------
%% @doc 任务 MOD_AC_CUSTOM : 331专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_AC_CUSTOM_COLWORD,             4). %% 开服集字子功能


%% ----------------------------------------------------
%% @doc 红包 MOD_RED_ENVELOPES : 339专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_RED_ENVELOPES_TRIGGER,      1). %% 触发式红包
-define(MOD_RED_ENVELOPES_GOODS,        2). %% 物品红包
-define(MOD_RED_ENVELOPES_ACT_GOODS,    3). %% 物品红包
-define(MOD_RED_ENVELOPES_VIP,          4). %% VIP公会红包

%% ----------------------------------------------------
%% @doc 公会活动 MOD_GUILD_ACT : 402专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_GUILD_ACT_PARTY,    2).          %% 子类型 - 公会篝火
-define(MOD_GUILD_ACT_GUARD,    3).          %% 子类型 - 守卫公会
-define(MOD_GUILD_ACT_GWAR,     4).          %% 子类型 - 公会争霸

%% ----------------------------------------------------
%% @doc 福利MOD_WELFARE: 417专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_SUB_WELFARE_DFAILY_ONLINE_TIME, 2). %% 子类型 - 每日在线时长


%% ----------------------------------------------------
%% @doc vipMOD_VIP: 450专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_VIP_PRESENT, 1).                %% 子类型 - 特权礼包


%% ----------------------------------------------------
%% @doc 本服boss MOD_HOME_BOSS : 462专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_HOME_BOSS_NORMAL, 1).
-define(MOD_HOME_BOSS_GUILD,  2).

%% ----------------------------------------------------
%% @doc 护送 MOD_HUSONG : 500专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_SUB_HUSONG_ANGEL,      0).      %% 天使护送
-define(MOD_SUB_HUSONG_DOUBLE,     1).      %% 双倍护送


%% ----------------------------------------------------
%% @doc 跨服入侵 MOD_KF_INVADE : 609专用的子类型宏定义
%% ----------------------------------------------------
-define(MOD_SUB_KF_INVADE,         0).      %% 跨服入侵
-define(MOD_SUB_KF_INVADE_BOSS,    1).      %% 跨服入侵 - 限时BOSS

%% ----------------------------------------------------
%% @doc 副本MOD_DUNGEON: 610专用的子类型宏定义
%% ----------------------------------------------------

-define(MOD_DUNGEON_ENTER,          1).         %% 子类型 - 副本进入
-define(MOD_DUNGEON_HELP,           2).         %% 子类型 - 副本协助
-define(MOD_DUNGEON_SUCCESS,        3).         %% 子类型 - 副本挑战胜利(只有部分才写入,副本结算设置)
-define(MOD_DUNGEON_BUY,            4).         %% 子类型 - VIP购买的次数
-define(MOD_DUNGEON_GOLD_BUY,       5).         %% 子类型 - 材料副本VIP彩钻已购买并已使用次数
-define(MOD_DUNGEON_BUY_USE,        8).         %% 子类型 - VIP购买已使用次数
-define(MOD_DUNGEON_PASS_LV,        9).         %% 子类型 - 副本通关层数(等级、水平)
-define(MOD_DUNGEON_PER_BOSS_ENTER, 10).        %% 子类型 - 个人boss进入次数
-define(MOD_DUNGEON_FIRTS_ENTER,   11).         %% 子类型 - 副本首次进入
-define(MOD_EXP_DUN_FAST_DROP,     12).         %% 子类型 - 经验副本快速挂机领取次数
-define(MOD_DUN_SWEEP_SIGN,        13).         %% 子类型 - 副本今日扫荡标识
-define(MOD_DUN_RESET_TIME,        14).         %% 子类型 - 爬塔副本恢复次数时间
-define(MOD_DUN_FREE_ENTER,        15).         %% 子类型 - 副本免费通关次数
-define(MOD_DUN_TOWER_3_STAR,      16).         %% 子类型 - 爬塔副本3星通关次数
-define(MOD_DUN_TAKE_PART_IN,      17).         %% 子类型 - 副本参与次数：每次有效参与增加（一般是指扣除副本次数），只递增，不减少
